Create a configuration backup - Fluid Topics - Latest

Fluid Topics API Reference Guide

Category
Reference Guides
Audience
public
Version
Latest

This web service creates a new configuration backup on the portal.

  • A maximum of 10 configuration backups can exist at a time.
  • The creation fails if a configuration copy operation is currently in progress (error ORDER_IN_PROGRESS).
  • This web service is available to users or API keys with the ADMIN role.
  • It is necessary to provide an Ft-Calling-App value when using Fluid Topics web services. See Fluid Topics calling app.
Method Endpoint
POST
/api/backups

Request example

The following example shows a JSON request body for this web service:

{
  "name": "my-backup",
  "description": "Weekly backup"
}
Field Type Required? Description
name String Yes Name of the configuration backup.
description String No Description of the configuration backup.

Response body

The following example shows a JSON response body for this web service:

{
  "id": "abc123",
  "name": "my-backup",
  "description": "Weekly backup",
  "backupDate": "2024-01-15T10:30:00Z",
  "autoBackup": false
}
Field Type Description
id String Unique identifier of the created configuration backup.
name String Name of the configuration backup.
description String Description of the configuration backup.
backupDate String Date and time when the configuration backup was created (UTC). Its format is YYYY-MM-DDTHH:MM:SS. For more information about date and time formats, see Timestamps.
autoBackup Boolean Whether the configuration backup was created automatically.
It is possible to automatically create a backup when restoring a configuration backup with the createAutoBackup value.
Return code Description
200 OK Returns the created configuration backup.
401 UNAUTHORIZED The authorization header is absent or invalid.
403 FORBIDDEN The user or API key must be an ADMIN.
409 CONFLICT The maximum number of configuration backups (10) has been reached (TOO_MANY_BACKUPS), or a configuration copy operation is already in progress (ORDER_IN_PROGRESS).

For a comprehensive list of all possible return codes, see Return codes.